# Poco::Net

# template < typename T >

# class PrivateKeyFactoryImpl

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/PrivateKeyFactory.h

## Inheritance

Direct Base Classes: PrivateKeyFactory

All Base Classes: PrivateKeyFactory

## Member Summary

Member Functions: create

Inherited Functions: create

## Constructors

### PrivateKeyFactoryImpl

PrivateKeyFactoryImpl();

## Destructor

### ~PrivateKeyFactoryImpl

~PrivateKeyFactoryImpl();

## Member Functions

### create

PrivateKeyPassphraseHandler * create(
bool server
) const;

See also: Poco::Net::PrivateKeyFactory::create()